/**
 *	@file ScriptsFile.h
 *	@brief file in header, generated from 'data\scripts.js'
 *		using BWT / RLE / Huff / BASE64 pipe
 *	@date 2013-12-10 19:34:23
 *	@author FileToHeader (built Dec 10 2013)
 */

#pragma once
#ifndef __DATA_SCRIPTS_JS_INCLUDED
#define __DATA_SCRIPTS_JS_INCLUDED

/**
 *	@brief file in header, generated from 'data\scripts.js'
 */
class CScriptsFile {
public:
	/**
	 *	@brief gets size of the data
	 *	@return Returns size of the data, in bytes, not including the terminating zero.
	 */
	static inline size_t n_Size()
	{
		return 54510;
	}

	/**
	 *	@brief determines whether the stored string is dynamically allocated
	 *	@return Returns true if the caller of p_Data() needs to free the memory.
	 */
	static inline bool b_Dynamic()
	{
		return true;
	}

	/**
	 *	@brief gets CRC32
	 *	@return Returns CRC32, or zero in case the data was modified (CRC not available).
	 */
	static inline uint32_t n_CRC32()
	{
		return 0x6b24ef4a;
	}

	/**
	 *	@brief gets data
	 *
	 *	@return Returns data of the file on success, 0 on failure (not enough memory).
	 *
	 *	@note The data (although may be binary), is additionally null terminated to make
	 *		it easier to use (the terminating null is not counted in n_Size()).
	 *	@note See also b_Dynamic().
	 */
	static inline char *p_Data()
	{
		const char *p_s_base64 = "AAAAAAEAAAABAAAAAwAAAAUAAAAHAAAACQAAAAsAAAAQAAAADQAAAA0AAAAUAAAAC"
			"wAAAA8AAAAmAAAAAAAAAAABAgUEAwcGCQgLCg0MDw4QERUSExQXFhgZGxodHB4fIyUgISkkJigiKyctLyouLDk"
			"yMTUwMzc0OjY7PzhE/z0+QDxLQkdFTUNGSExOSklRUFRVQVN8XH1ZUk9XWMleVm1janZyeHl3z3t0gWhdWltfY"
			"HFzdaCIkZJrbG5vYWKZZWZnaYSam7N/iby1jJ2Oj6m5g5Ort62kpX562dvf4OHt9/6l/qLnIZDq8ECuGS7Bkpk"
			"IUxkvMCyBZDJfSMlUZKZ5UJCQkJCQnLJCHWRCF6SyQKZCFUZDq8EC9AK4FUshIqoEnBVIQpjJZDJTHUAnIQqgp"
			"gnISHW4SBAkOtpZIQ6xBIFkC7ATgqgriaoCTniSEgQkIECmOqCE4KoLAFzAqgsiiBYEIVR1eH0pk5nIQwLmBOa"
			"JCEC9ALoBbyEJwTjJOaJMhkLaQhYAnBchknBOCcxQhImoBXGKBCWoohJznQkIQISuM0IQlcOoBTBTGTOMm9I6u"
			"BOZpCEJyyQLtGSqZpAhLUMlcOmF2ApnzoQhIQJCQIECQKo6gFkCwBTNECBCcohKoJwXpLIQsAXeC1gsAW0FgCm"
			"TXeQhYEKSuGknCVQXWOusb+ZXEMLaQhXDJOWSEOqAl8gyTjJZAvQEv3DrmGSqMlMFcC+BRkJwVRmXgMycvSEKY"
			"LIZLIsgSqMlMFMFUE4LUQhOYpCEsBknKISqCcFUFtKIS1miBCQnBXF6BCmCmMiagE46cFMsgSmQhTGScE5Zhhv"
			"lKJBNfnBYFkIWohCqCcFUE5ikIFkWSBTHUwVxZIRNTBOZpAhDqjMk4zJyyQywGScsyZNcCcvSEiquBTNiBCEDp"
			"zgkCEIFUvSBLIZLAFkC95CFMhA6uIQriiQqlECyBVBOCuBflBawX7gXyAvQCyM0IELeGn2n2n2n2n2n2n2n2n2"
			"n2n2n2n/9Mez1+yw/8lw3r9Os4MDI/mPqgo5agv7auMlzF7GasnL0geTh+Dnxm4Q4MgTplRMkXpxlSpEyLjGP9"
			"qD/bJwo4Q6b/F9p05Z1JwGKxWMmc0b5/wlRUa5zh/tgGBEhnM2BIIc57MlBg8ohDONCc+aSKghhCo8pN/kiCE7"
			"jxQUKo1JOQzqZRkp5BDqwNmnMUiYLaeX/Rg4QQZf6KyKX/6/9Tr+DNBhyrKWRUxDTGSu/IEgkshULNCkLXOZRg"
			"jUdTKhIJSGE6ap1SP7xm1MNQGdOfFAiUkSBNKEmkIJOpmLUeQWc4/UwVebTGidSyLDTIkh05wQkErJCqMlMJTN"
			"kxAkIqvZuRkpI/kWkhjWj8lwNMOhy38xwJuRBlMbLOpDnBzY/OIJmxnLMoZpnj/NU4jFYZFXKSsJz1Mv8iGhqH"
			"+UmMS2jtJxsJObLkaCMIpMvkhK/Ahtcu0ox+Rri0PdaKm6lWfdVpJ04KYyaZuTMCsmSuKJCmWROzOf4y7qDJXM"
			"DKbAgdNKQhiUlKQ0gYJIGQrIeTNJwVTyyTykkEmSwffEYEXicKTV4gmqgzgqlkdbNM8f7WKSRtky/OwTB4wIUm"
			"2hr1jYNM+/oQwIQIOpMiK55wdNWIm284IoyYZCTl6Dos1S/Wtg7OCcpZqpy2paxORQm5/yyliiUqxcrp3Kltaq"
			"kf5KSvO/CX+bhfX8YjipbSbIPxixFs/U2dDQiCgr2Ni6OQwM6qaSq0iXdWNQ0K4ZLafr/qQwPFf51fJiXPe4ye"
			"10j+mTFhIp1s57s7Nl6z/kIkf5jKS/eGKAhOWhvUSwNnIWpIqmcJOpn7O6pvbo7ooMTGDFCQXGJE+x9of5TrM5"
			"nizs1+D7nHDBGP+M5Oev+rDbJUjcdxQvHw/7XD/PM6+pwW03JAjoQyuLNzKUqnk8argzavJKyXIsSEK4qmFqL0"
			"CCa5GckjIuWoboTnFkXsx6EHvW8jsvtMjLuao2SqWyR1pzHkjqXFZHl/qRW9vJ8l2cHadQTmYy3jGiqZ4FoH09"
			"DmxuITSBONRv4i+5AlcR38GuGZbxuK7Bt66BnVw2pe0jZrbaUQL6RsF/4xmX3FkjBazpykwSQ3cwjZMGqCcE57"
			"ltGq2oYRKQMGoTJh2LOY2B6tFRpQ5igZCqWSEtQempHSZzPFr8bMatDqj/OCOvzHN3nP4lTgN/Xs3r/kkO43as"
			"COr3M4zWqDe8F7wXIv4I/3OzjdKwG7FMKXFEEsjitosiRIYk5mkQwNcRObYEdexpnTbxHPrK5C/zspE19HJebs"
			"+bdGxB6KP6+zPr/z/D+YuzYk0znwvuqRhGZrnFnGpt5j2d/icE3lEEaOGQbDi5n6RG9Qrjq+k+uqkiPBpf8Kp0"
			"uY965ihXA2U9esocPvPI5/Lj4Xmsi8tXAYVF8h5Nk8GpQ7dPfLXcUK2MjOGLqn4tygxGvK12bKGpx6kyV7R7jW"
			"2093r6jYX6bO1tpS7WuGWKFT0FnLa5Y3/4ubpGiNuBlWsznqVwO/DMzV0mmc/+AaOg2Dkvf/6DjzHkDzy9SMvL"
			"tmY+L3pvYzTCnyGaBEiTnDfISBAlyHXMNr4ucdpyOs6CwOTfPUJU8hg5GPm6cCzBROaavNcSJlciJCc6ZlRE0q"
			"Fz1VRknGSqeOnS96ww2TIF3nAKX9YRyBcil1N8sC17eqkai/zO+ojAZ1gN5FgUwBTGp7vObLjZbD1bddNJkSMn"
			"Opw8fIQt9ODP7FgUZHk1Gerr6faDR9p9p9p/sD2ajycDjzjbBByyl4CXVrdzZzfiv9WT3jXTN0+YN1qoOjIb4+"
			"hw8HN3gSDmw48yucJufY1Dopd3bPiDEj/re2ugcfl9Rt9wwMKYJzRISPwFMhi64NHIklUaPrc4oGHk/4SKUc52"
			"gEDFGJNM8TMNIlLb4SBwzGciXHi4zfBwaYyW0spA0yPcLmKMC9psRfx8pB7omU6hn9o0LsIRHaQhusGyBnNlph"
			"Y4OPcO/4eNDvMHhnQudhhBMuG0PHtfkdVLUDIldFQpK64owT5iGFgez419tf+7bc1YNE4Tzwxy0rM6ZviZtzX7"
			"p7A8+py2UK7Nz56rDEik7lG0wNWrQeQ2GO65lDmMyKx831OZuS/FrDFz/hWhD6BkGBqUoKUTWGI1WyewTRaY8a"
			"FaypJyk2aTn1vGQ56zpPVq93ogMT0083Mvfw+J4YBc5TqNKzPYjizQIcO/O6oRSXPJzqgR01avArbza6RcePc3"
			"uuID0Bc/zZYm88VS+gi/W56t4vK0SKfJwMA41nSZZ1sEt15qvVNRbkGLVP7WBVnwww9Y1QsZWIEOZF879pi07N"
			"eacqSpT426w3XH4c+rYdm0thpmSF0C1SszZ0eBOMOu4R/qPIbDWUcqM5FvcVWxqjEBtVT55MCND+bQX9//V/k1"
			"XCvbeclWWp9Hl059/y/XvxDUHUbquf3PSdmTdThUusqYyjI5wm/z1xr+LUY4dends8qy2Of1pPwldBoayiMDv2"
			"oMunHq3tcUCd123ONDAFrPIxYNLrNNW28bYPqkpOZ8c7jEHmH+tz5sXMB13WFI3F1JF7BwD8rmikO/Lf93k1n6"
			"96JCeiGuWWQbr2I3JXljd+GrIzPsPM5sy/L/eZS9m3y8pmfi3c5r3uzn7JhwNiUhmhd0qR0am5l19bHOr+ewYk"
			"cSrni2HKXNqupTvKwCPX8nWEOfr+YyEC+mRP9J2jf8R+nyT93N7/0YGB2Ke855DuH0YHqb6dusN+wnRHV9BcdI"
			"cdQ2u6Z3X1bqLrkR/13yLs6ZK1A4fc5w/zc0dIL3cfP1XOcerGaDRgzUqlFkmc6VXDD6ucoeYNg1TZ5EGgK9TN"
			"iQlY6MpYBpgeV+PH9vWeW8cqTKpOZ6bchH+bnwPJgZcBFioI/GdRIlvOe7Y3rDmz1GjWpUx6DUOM5u7Ho/Ia5i"
			"HPv7efu5uUFT1qh5mzr04cJImHKn2Bo5nl2gxbdcX/QeB6eEw8kzd9B6PaSO2DJzPzn4xYic/7eBzcxr6bBxIg"
			"6ebxEOzsOx2oRMmEg33YB4kyyOGbJB4pzXNjU52254c85lDiWyci6lXOCDVRveano7njmIRuV9s9pgbg0hzppG"
			"P5Hr7L8P5j5fmImeyRTbsVfVgRgXKZmOOznPruKGdKfB2cncY6hFZM5w5zZiYlNxW2Qzpzqnz2YSCYpAsAUz2I"
			"HJaZ4QY8JLZmjLMbAsiw1T72NQxUk3Jsb7qFpSN92yQTJmTjfInKXowcjaNMpW1Lbwk589qSHlqlWZ8xWKZlkq"
			"a+vE6gtcX+Fj8plkbHxO/9USqufAMqn0WLnNRx37zM2vyY6C3IH86ucNkz1apVr6KbL+rzB5MLdXTEjFVN3t6O"
			"iTi+yzaOf1yKNhq4nBZ7NffkuVXnh1hdwR00+vX0g/lGvxmaPU6qGOsqxcTaWe1VKcydZBk5Sh4KZswm5RRWl1"
			"TnsLyHb04R5RKzmbIGC+p4sT5GxzRyJcOuI1OUc+y40KyN+3IoWN+8b2kLAV3SXmDDueTE15snMTlrO8MMQWR5"
			"UC+JczsX5CI2zIfGjn/nl0TfqwOE506VLezdHnkX7L/TuLc7bCZ0khEguL+Ja+xwB/02LvcU3giYjqoFh87orz"
			"YSJKMPJ2FnL8XLTUz9Vzy4CI/Sa2pZXTeL/jOUa74GLbA6BZDX3uDYHstZcMywqmWxim0NPFpuctbGQznVcUmY"
			"I9SEhWqfOx4EzslbHtxlqKEzVeYmCnbO7AxctGJJz65HjFHCUKbMK4pCbcEddDzVLYdEd0dgU7AVxncdfNUmqj"
			"JTL0DmUz+C9Jiw9hzAMUPlsEZER0c1JVPitp0q8k5/9EcN7F1M5S4l1iCwM87r79gXJUm/EvZueXQpfiGxLYn/"
			"YZE37iYx5hrUGpgMSCquOMkFjSK97J3PvaZATNbD1S+bUWs45iJHEvc91TbIhRORzGyCKFO/f5+jqVxS9u9rg0"
			"qM71NHrzK8K/C49kbJOMVp+r0F5YuxKInU4JsU+ttpq+DOfsSZcUSFuYIkmyQIsaAhboIoHkciZm55cdR4rzpt"
			"2q9T0bkoc0uXNzXhywcvziduyrn9r4vzUKoyB+ox5qoQ3k5+aAZiWGhUxLV21ZyKnjkpN06RqoInzCKic/uobC"
			"fVbXso/SkbdZA2npzaSFRjh8dDAmIxxc+aYYXycgJLC0Nx6PTtDOstTnl+a1u8ihsDNdLBJz5m17eTi2I5zzNX"
			"rdwv3SEKp+y8kFekTFWYZXyYlaUrcdvxwDHb1GwaNZpZByuncsDx9kidSrCEKamjlqM/KprNdOO0MLjyonwaeO"
			"J3chvVmTm55fKgThiYsYIa5zy3IkHRTouEG2mk6nCsCg0ga1KniVhrdZbP1F5QIJubqioOIOdznpljZenL5CwX"
			"PU+bvqQNiIPTdT9tJdPK26ZQpx+U6tGjDZwCS6bzxQ2s7tXuJEYMWHuGMHPKjEndOZdjLZ1GJjUjEyc/b26aS6"
			"ekzMNjTL0ZyOsYKGwe208hfflke64ncXAzF8in1l1iojPfgF+sbolgX1xV/pyciQnM5AoJw5/LeYRRn1cZlMOD"
			"IvVw8tpVsDgP3uo1ZBB9YYO5oiQzsSc7oER42kpDNA7OQwnPKijDHgwUJOhTNyIkwlYlU3SkhZF4SyOfAZG86C"
			"4uHyG1qp6qLELBu1PTy9XmlWuSdnx4jhK+xbAlzuf81RqFEUC+G5aSfU4KxGgSKcaXuFqEHIR5scJQcq7NhlzW"
			"uH6hyjm7A6zSHceTxmRhmiuLl+8xck4RUHmZtTjuI8E55Go1FrKNrorajA2O9KnG9BPvLWkhONsZ1wqmmbq3mB"
			"ZyzCJ3H/rhBcQi8k8tBBUUNvWohgqKMlWfeb8J4lS4hypA19ShiVCdyc/yvYwLghTvwrQxlnKRfUvuf2ksdRGS"
			"sauarI1eeT9/hnXZLZknOrURzXNPybpI24WlgNVrj9Tk5TgdeKzlHJowREF+BMl3Ituo54uMZ6AjzXFn3Cf0Sc"
			"/3oWTFDCuuxWOEUNve91+aui+653SmgdF5Ds57GsNCkgchqcML8L8Xd4tfbEeY2tTGxdyOa23Ai1rqn/7mQY2J"
			"GQ3STrU8mB5TaXhsa/bykD3sFr9eyuqzzHvjR92mwESW6TMZn0LxiBh895YcY5VJBawhBIJbSe2Y25ZDMuQzLA"
			"Zk42K1jaKY0l6COcwcFM0QgcJYDfL55nV2+eQ3gXipeuRZykjm8bmfWLHA2R9JT6zoTjeErju01cj0Hqy+YE55"
			"52yN3ej9C9awWHhgWQxsmdLB/xY+iD8UnVieBu9PnhJyzWo5RFWyGdXHxo8k0vb3t9/6EmCS5CMBfA4I9UZQPk"
			"DZGnXvwRznNjcNX1ONfi5Cot4eXA/lkZYfn+jxQPqnQ/1uWh8oNXQY6t+ewy3ECPs3SkemTTN28FvD/KDayJIm"
			"m/pW0ZlqLfSahnN35j/jx/SsGXRrcN1T+CSMxg6N/ntH6VMKjdjXrRvE+MzQ2ragQt5RIVSEJwTjpyyBJzchAg"
			"QqgqlEhXAna4FvBOCuGSqbEgQL7m6Bur5eYG/eKJCwGS2gvznFj1LoEe0guqX+cuv+VOaPB9Q4fquNIy/L7/5P"
			"f5f9U6l/CzYCqWXPf4evaXw4dfM5DHqmWRrJuUkHzTNImrAj75hSpjQXOT1uUviUqkMLeUkDXGKhmJ2mfhMpI6"
			"lL+FroTBAmZMXirC9d6drRVqM4Q5/3pF4XH0yRDIPnVDO1ID2hO6ZEiQgYJK4SI7wZy9Kk2UyERgZoX+hyUO3O"
			"GK+o/IWJBaZumM0IY0ZzZEtUmFUZy9hMKZZgxfzjWjwLSD5GyOPA2lsBqoT3BRz4+xgkiC9F0MrAw0iMAeZpOb"
			"GzE/ZJzGtTMJdpi0kgThi5ffApKZ3VkFIWLISKNNzRFA02UeZR8ytx1TkGmcWshw/XDl/8OF2ZSahhVIUpVM5E"
			"hpEqlkJnwBXGngMbmiimEYGN8pH1Cc06RGzhrnGBSYXOeOqlZYuMvBpCCQ8wTkTkpkJmdcZiTFkMtb5DOrj1em"
			"AeXRJ0SQWwUr62ds5Tdjob9bnTaA5nNC2aFJyKjORKrODTNkhzWY0wTmjhe0bCTmjmIzsNgQ1GyO66TBNKjBeI"
			"XYQhagVwUcFvKL+lNgNvTmcAs/sXY5u3+vokchBJz1fkyZQMya5mkMGuZDr//zjZDe5eg2Uw0YrYyoUfEyhpzv"
			"+EH3GZMl6CSWBo6Hbyr4H5LG7twE1ZyPA5sERQSlIQ2jxf5veaO8V61WLuvpJH7OboqX6Y7K6hxco82aqgjTpq"
			"cJVQrz8nQs5YDY6ORV6TX/p3iMVJZlIn3445z6nJCC7LpzMT4l3RVzz83Orp7xd/Rv5wUzdhxCvubKwXcx/jv3"
			"Ku26gdhTybpHWGrmN3lUjX+gxMDyiDA69sg20Rw7yTl/GRr5O5svYoe3oRFRsrOfFFpkiEH2S3y4PhqO3vpObn"
			"rnd1x5eeYYYxbh4l4tGF49ffgbOhc1SzCZz5+F5KQRzas2LY8+wJrm0n0TsE3PVdTCIQY8FWuxp7b66aXXH/VP"
			"uyG1PTgVylds44RlnfnJg25oW07ew48XNRtC8OfsuFk1Ti3JudBtJHDfU0vMCNuZ1Oe5ry9jA3SGC1zGRWZea3"
			"CuBaC4lcN2LeRv2NU+O/do1cjS4NTucPzBirjizlqXFGmf81bX2OmV4eIZ3M99iW28idK0abuRj4yRms6/xy22"
			"OrHEzs/CBkOW2sM5/yqRQVVzSeq5bA6nIwV8nvX5ZVHDWW58Mu/EGLCrt4ZNxmmmaX56Cy14GsVNHgl8zndnnu"
			"EJO1i/xOXufZf3vuGNpuJaQ3SXTLLjm0C4EZpX3G5bt7GGFjovcPZ/sI+w/PvBvOCcxQwuxqkMJwWoFqBfxDJe"
			"ALrDzzG6ZfvA1Q8rhDjfwLAI//w3qXmBTBeALeCyBVBVIQt5CFqBYAvkL7mDZ0TCO0dZF/wses/+9S+VDuQ6J/"
			"zl7EHXSYbphDhxc6lzdvjeZw3sdB1R8+sjd4/I5aO081XONSA7Zd1aHVu5gy5imO7s18wzy6DufbcWuOckGPr8"
			"xLzF8YlF53NLD6SfPZSYUwIXZg588hLd0EA9GCoWEFRU8ecYG7ybMfRt6jLnMKnDOZTUI3LVDn/QsNZqscrDbh"
			"bVqOBI5zZspf1Vb8rQG7fpUzHKZa9fSZDb99wUSLb6VlM1F1XOPDC7aEdV6k+9zy7wluPQGgSx0kSc8baungOd"
			"OgtZrMtcjNy/Aa1b8D77y8vobbmsNYrT2r+AU8AbkaG9zq0Lwv8mZYwPZ7pOUQef7T7T7T/8Apgt4KZxQJCEIU"
			"wZwVTHM+rs+JTIb0U1DeaWANgbOoxPI/tB5hrc2P394ZHiNTpvutM3WD8xQNpfcfH6B7vZ37w81RZKQ3k83jBU"
			"7TTqD1N2do3WG3A/bk3eeM8ir/D6iSel/oZw+fyMPBWQpsHO5FsazOnAPLzU5/nkQjZo5og7N3AJeYNmQ2vOpp"
			"vCnoGNThxc3S8gagsDOUYGyG6J1NKhfI4tvcJTCsy/2Y5hxca2bnPRyoS4JBWlS0pITkSNLg5/eXvdZNu9BfkG"
			"ksLgTm5UzlSD19+OqpbQ6zU57K3U6PQbK5xs1sDKthGLxGrW0yEPM/FTL69o2JbLdZoeZalMJ3PhQljdk5xkGW"
			"s8A8gYOFHKeExnMbuBQ22mWvQbXLT04ktoXzBrjxYtlufR89QMEg4s4V5Ge1uHy+kScF/CX9jMM2sGqeVgYQIQ"
			"gQvAZLWMl8CELmG4LsMWBCX/1G+j6v3g+WY0Ko3+hVKSkNUdYFkDNcQyVR1AlgMh1oIEmTXApgsCasCFcMlUFU"
			"hA6Zk5wZIEIEOsB1QQnIQTUwVSjDNgMzTVGQnNiTMH2MpVKIE51IKZ8EFC0fvEnOHzS69YN594dzm7iHnw8XoD"
			"rrM4dIY3zgHFcaes7PUatQpnHE9LeA56xv3pOc/r++DsXNYqqT9eBzpAr9fp/knK2cqlmQZVKMrSuIzE4SyPHc"
			"r2NSJRMYkExnNjDAi94c0kMwgTke8yc8mWjWLiYxItcLQE5ughMJCXQWkDZTI6z+By2qn0FOQRccFNHyjNfIrc"
			"fNH4CGeaCRu/Q1+zw/r3xGhlfcXsM8tjphYAzqAbItcga4pP8o3WQhXHTIRtQbPnl49eH6do2qtw3zpw5sC348"
			"RKoKoLwD0VBcwKYLsBTBekaS6AaYzNqDKYJxnTnr59Qn8R830ck090xkq0QnBpmlEQIsnPwsiqOMBJV1YtJ8Zh"
			"VXszvViTjSeYzLmLYxcWczkSfQZrjihCEaJhORfDcxzxiyEHThKRa42dmfrqClo8z4+NYdePjinLnwOQrhBj2A"
			"2AzKZTH8Y3pPJ0IOvmtOb7cGCQW8Urju4rlz8jaq6gmJbu0O3tL+XNryObA/FtMjEkjMy/BPggfdMwSEsLOW9o"
			"qTuP1zL7YwJzrlizRslSIJlA2hBwDxtJYBo5S0naZ3X9Wy4z5zK4g6a3N2nHBnhZZV7Olc9HOCPaHP9aQp9oJz"
			"Hji4TymNji6t2m0dz+jxBlq5on42v5ruAzFBw+cQdvP5ei/l2S7bDicx4JjlW+Z/Qsl087nlFd1frKxlibVt35"
			"vhpXHM8/dcI0sD5Hj6zIK7UMGQhKqmbHbcvavKczOdOc61mEhhwbvOKuEZbN50ceyJgzl6uI22cxRa/YJz9+8R"
			"zooYJt011UbddlPYHCiJF4I7e8kzlJdRKZfhgxopnkXhzSDp0lPLo4JY72C0xmUzx8d9ttr+TDLfvzoGRPtPV0"
			"ZYcKFA2iYOgT0pLeUzTrsIYW0LORG1uYaVrjTHRjYte7y9p683CnjPPq8YMyvXmJMEOCyBOFrjpQ3JiChUWvbM"
			"6dODsKW3xK/lpOjhXtPdUNiLaXTfldLlJUu2Z8FeUmNld2njxMDC7npIYNeKy5G1z4weCNQxQEqc1DFmCSmXzK"
			"sTyIY3OM7XFoZ93LtIbPi51Za9fC7hfq1lUYLPacL+Er678ie427w29pnzh632lO09ismxkxc27fAaCBXN5zTX"
			"K8SFp2nsj5dmvDnNVp6bbXkYFqYLo7Qvc8f4j6+vUN9DEg6YkCTlvWjZZw5OHyYGO7yFwfiwPXgu9bTeerZAap"
			"sHcpbRqnV7UGm4tIMEUVTpoLd9BJFzQXqZu5Q2pWoZknIyhqjqzWlnm5/0L9EMHdYoWJsbsm3KvObJH3oKhyw4"
			"73M0hXLxWbH52mjc7dA4wfP0m4lmpndxMWxRt43mmiM6OfPcx+5Sp+JeASEIMxISHGmZzEcpYPU0gZhDZzWNG+"
			"qGJOvE66BSRvG5rQllNnKQzywCzrjA3UY0DAKZEMDrpCiJBIYErj8maz1bxUjrmJ5CXcRqUX8vxTb7GITnzdKF"
			"HNn3Xd2qdgZWBG9Gac8v5lvQY0G3PhmLY7n/hQwxU3yTSM2ZcSmG/rjFFJtK+Vyq057XjTukHoQalqDUxtXevI"
			"RU6aIWtjWgmYM5fNBmzkatjXGMQwQql7IPnTl9Rz1tMG5jxIR0gy93GRBQ7WyM4HdCTxfk3gibl7MXEri9+j3h"
			"5riELrBOCyGScmqjJbyELAFMay1A3MdXhSiXnG7BcU6pgRMVTPu4i9oSwD+fAF8Cn4gWBf8AhlccEgQKYNrNGE"
			"CBbRknjc4zSeSJPgMymWhCTkN/cznPSRQGEMhOXsMKXYWZkm9J62UiGPvJuKYUBMJ3HWYQfiJNMFcEnLIHXyFG"
			"BegZlcMy8C0xhsjFBJkrhmVRqLsGZXGK+sgrH0loQ8OXzkEK42UGYEC5i0FBTBnGmvzBLAFtLQQNrL2BOusxaT"
			"MM3YQtnQ51Ynb5DDlBoXlS/wIxFrGZTBOCyMUCPaqnSkXXoyJeM942RSSFtGmnGSwNzCEJHvbrBu8shCmYoSBZ"
			"AuYvywkMri9MMS6zq9EeMbmOYaH5ApmKW0893W5HlNvyhTUCyBVOH0B6RmGsLWN7FU8fm91V6vm8PCPol7K4j1"
			"D+O40l5onj8+H8ldpSp+Gxw8u0aGuD5nBXEIl7yEKpgpguwsviH3zOfzfjN9jTPYx92/yOZ5nydDB/RMFcdPp/"
			"SwoTdyPWLyOdWsEhMH9Q7du/0B53D2OHL+whymAJwVxTEGwBd5C01uCc9najZ38vLw8X0P2Ap9MqKnDxuUoS5t"
			"pnM/fNPxHr94M4V/9Rn5gYPKrj1/w123kHZqz4bvV4te27hiz0y4uWx/i+z8/r7Q2TG8quOrkvYvuBHzgvGX7Q"
			"ThzuW6z7C7A4/3HDpOHNxY38a3HsrF/8h/AdvXZu1g/fofMf3F2stiOc3wM/gHE9i2uU2roWopomTlGRVz1o7/"
			"FvlLttHHspTXrnO84dt29y/mjDFKp5dEJCEIEY5tzEfURtBnNiMA2HjO7A3cD0sL1uR+xw58hudZHl9dTEPAsf"
			"/ZF/kG9ngHZ2hfgRWFtPw7AaSBHgFpCQkJCRLzApnBGwLwYlSpT5Q820ZpuHZtKecGct1ow/lwNm09ARrOPw9A"
			"cbgb8wfzzDSp65BQMgRuS6WMP5AuJObLfQFwJk4Jw0cOXoLfH1hnMxt8AxGmRefTcQhOCcvZXipgU+w7OmY3l5"
			"7i2RtL+0OHoM+kPknB+7UQvauwMnMUGAanMZZA3e9R20oIfJ1J1M/am5jrP2gweI7DmCZzjm4Uq7+J7RJnD9Lh"
			"TA0puNxskJyEDqghawWo6fP8nnPgdgecPIM4dbh7Np9D67B/uOsNDAqNIQqQHX0XFO0GwNOv5wc1CcbHoc0vP5"
			"gsHPUpQ6VcZyCpY8Uw8m0t29RNXGaBHWyc0bbmR4wWBs1UEjxDddSIM6hLeH3YBTUN1UeXBml6CUojHjHWMl0B"
			"1cgWAK4FyKIFgC8AUyiBeAyWBZJhVNJzac2iUniinW3IJf4BfMv6jzA3vLIF9+A2/0zD0ufX4ipvOg4Ew8hedg"
			"g/GfkGelTqbqC7tPSDBBwcoj8g6gScb9m+pbo4hFTZuS5kMEXFubeE7jGb0DmpqBORBdkY0D3BPIz8R8Q3EnLe"
			"ogapbcEXXBLApZZ9+0IqEnOnYgXoBpcN4Tmc+o1BQPICN+Bw6D7AkXLgKZTeG+odWsPjMtdzr9GvabEFgQScJf"
			"4BfgfywF41j5ARxPMeIM+r83sO0MTP+rxCPyhzkmgiWsp+oPO4Tc2fjFTeDHJzjmZelxqCD5rjY2J++IG36g9r"
			"l9xuz/b/G5H4gmvoEvyn7PsPOfql+YPxsP5hvx0/bSbObNhQvh4OVxS8le499ot5/2zcplYUyLDTD63PLm0r72"
			"xi611gqG7zluRr83TzHD79OtSTfJ/QzfR5j4wDwlASPMCCUJMM5shpCgQ/nGSuL3h/Icrilg3TC2BTIPs1lJAq"
			"mdFCQSuBOFpmOKEi7/ALu8J6yKDXFP4DU2BRMS+AYTGxpkXvtIzvdibhT2lECmCmEqnukH4MJAk3iqJhkDDOu4"
			"ZMJhmTJgk5HzmTmyAQWLlgFdpnkFRKVQk5Rwa4pIScFkCqCmGuYLeGVQWopgCuCes4+4qZCP4RiUy+UhMpg+sL"
			"rgWoogz5GyyuGZJvyYAzhrwMXCgs3CThLeE/7Ak4PrCXgD3HCxHlYLw+DOWUGDTBTIlaTlGHXMUqoW86urmcIB"
			"FEIWRR0M5aUgk6YZzggZCEDahlo4be0puDh2h2dpR8ETWwPpDiZfY8w3Oe7h+z+kMD00NZTfBcwOUwNHG7+hyi"
			"BOWt4ArjhrDuJWKjM5Rhk4Yecj1GpzyYg4fgVBmEFWFgRKr1B3VhK7r2lKUOvoLOYHtcGcJOU/OC5EbT8moFkX"
			"5hoLWFtpTV9w2QNqIYbUEOUzDGoJxnWohCc4/eQHBAvVg+ozuoQmZaweYdeAb/MU0CKm6ggigiMhlPA4WGFFlB"
			"LPkFHDTzBbkNVbSyEXai3dcDXEfux7qjJOCcLZDapOEvMY3Z1qMzmbCEYs5sbMLtBQ+8buW8jiRgU/UCmWwKMt"
			"pn3hljYdy2rBiMiMB7imsx15ESzUxor1jYr5BkqlsFoL2jQv7Ca6y0MC//gW6yNY1QnyBdpfImFMjOJAg2ZBn9"
			"wU7Qj6iOlbXKIFcC1lnDSfIb8a5i1SRVzd6N7dSiUgjmNikfiwECcFcc6JbjUGgZicFtIWLfSRoLwCHKQhTNNg"
			"bqkTa4ZeN0NtKZdau7C/svOeJZGyRpeJjhuwNG9YQ0yW8J6ilATlKArgVTcqDkwYbIxqUkFph3ecGc8rHc7nIT"
			"plOBo1A/mGWWBju2lQ8mspAf77lvzkjhU2ePzx/vcezcb93mDGZHcZ1BOUhGq4Zk4y3zBnNkDh93SarplGCHMZ"
			"QQS7HCJmaC4gk5z0BwQjEHcxaQnGyNHQiQNgXoQJyEmctMJScbsUwpUoj5VgWRVqTBbTG1GPbfLUUlIl2lu4MY"
			"mN71UPl7Q8XaF7hL9Adf/ACyKe4FUpIE5pgaDAh0ZVOeTCRziBhaymIfmcogm5w0PUMIQk4N6DghzpCzSdtYX9"
			"oLUUkfjTjN4nGe6o2fdtKOSTjUu7A3VCblIHVQu1mxBc8SGVTO8sSOL1KOCqUSOLnPQZslShR3i1SIL+RjUgqU"
			"mNVVMU0whYFEw1SJnP2lGBqn0OzBabSKMMmSJNJmsH1uR79evtDFzGm5+wJYFK1GyM0K+4OhwwwBVKILdoPgbP"
			"xIJHiBrhmTht+AbXL57to9MizAzTBVKUuE5Zgz5/QNTNx0VcozCc0skDAv4zgssevYOOcPO53acbxSRSRnEBtq"
			"bJVYG2bGw/94L+MMHKVkSmUneLeQxRyjBnMZUwM0wMJXGaoDgnPnRsTTymKQzCEhKQNEmk5DDOOgdXygaRNYyB"
			"hiqYs5EvxqZnEAzOzhPIxTCCX1AuQZOC+BjIEMuspcH6nBVKIT95ZmEnC9zO0ISC5YggxW0FMhC3lsREv/MWkQ"
			"M5RpHQ5Rga4O/AKegtIqNM4UGJT3KHIcZlUvgy5yUwlU2VcJkeIZy9EOk5/4pGcigNQaHJfplIrBITtjIcZgZD"
			"CBoJCYUrhmHUAhFYGJBDjIdWGCUzhvIYdAyTjJVIU2c0YkxCosi0kSioNM56CYQ4oBVL0IKbxpNtGuTjSv+k8l"
			"AVQUBYSMRGDgsDZUEYvAqndTEVYlAQfewdnaC7Txu9hSCoQhgxFUKzM86UMmJbQTgsDghwQhxbykwWs0YOiJh3"
			"uaekMgkk4zJyGFMxa8lIp2lqBqTlOQbuwGuLYwhcwyTjMsBmX+kKVCW03IO3iIGZyjA2AzJyMx9o2SmO1xjI72"
			"DSZjjmIHcpIE53fdZg2kIngiCNZTsjrnMImD1I2Cci5mwGwq5zuDGiRIgyqXocdXDN2OXuE5W8C0LNS1BToBTB"
			"fKYrpMjfHIhhZFMgv9p5c79VgqIqIO0TnljyoMo9GBSFH9FLRU8dtV4POj5TiBVHGqaVRfDFnc49sWZDD62FgD"
			"OYoJW2XOXotDTc/BqEHYGFR5j5dNqkx9JBbzQJOexmQxZAmBpU01DzipsjUUETPi57JbJ3zvHaUreIqSmyYaZm"
			"zXKdStQTn65EFRwgEnnO6QhEygxYlQlLXFTqoUp5I/QQCLx5n7/IFfNgYvylI4GhdmsLjAvLCqGZskrjOa0Mb4"
			"tMxaxKUKZ06WyxUBUSesqmL1cVYyGxapDZJy0ri6zlK50HW4ZMhWqXZAri+oJRM4YVCcypQVTualyHo1igxMvm"
			"btZfOuKRLRzTG5Aje1T1MJAhEksBkmBsAtME5fKJSSuLSEy1Hz0Q1aE7iV1+lxJUuU2IlePumeJWHeUiRBfWHI"
			"vmeVtROyiSJYynWZ8uBFilQxcH5hsadBEozciXCVRsHuOnBkPiq+rrmHkw7ziwTGWjKxhMaTTKIfNyzQiHKXQa"
			"toL/wHPxDAorCEN7SiC/AvsUDbMG5BH2n6AdzNESUjc5xoxzoYRcVuIsKoKoJwtyKMDOGzWR7STmxAkCFMo4XO"
			"RAqnFH1Lfw/LA4PU4oICh6g6vu7Q2VDLUH5HLWJ2feXyOgGwI+QXME9ZECwG9K7wVQThKZjI+bYtSwPmkMVYKF"
			"CjkDa4GNAZz6GN0yQhPMJBOJJQKUqcijAzkMlMbX2Oc/G0ZFRy4qU1HFleF7UsSS1Bq7QVQnUJTKQDagbWWsDW"
			"c8TY5QXlCwwd+O4pVMLeU7LjVUObaaV7kd895LUU7JW+upGs0c6nc9obdAvCJYcxpulqCYd0xvBbQtMMpm68xS"
			"DnBnKVDT6i+TUu504anGSqZqctexoh2E5TWFJlJQRU7pIuDYdhf6PMIVSiBpjelTLSQk5HA9VSGM3NPVkE4uJO"
			"HX3mn6xB94cPyjaltGS1jJai0zVqo5bWYXcP9xDCmXqRLfwwGrSYfS4JznyDvxCoWBai/ke/ElrD76gsDhg+Gm"
			"Sju0lwpM/VIemR0knjMwdxkXpykSdR6KDFpuRpDVGpjU+LMF8Iacle14Q0sGHk4d9xS8I/KbNhtKsYi5EYXNcQ"
			"1sKnGLj8TyNYM2HvD05Gmw4IiNGc4qukGDjVRlMOTgqjaLUC8AyqDYDUe4aUnMeLdEPrVTnbW3GHxLd1L3q53P"
			"7n7btdrPhy2wsWdy2ZMm5fkCFvGljcUqEsiLGTg2sJZFN4JyNJPrNmLFxIPitQKpi28Q0ORtFcMqfxg1Qm4NqB"
			"pnVjkGZcFdiVmm5TgC/9xHQLIGqFN412EyngjV+cLtRfgg6lcDbQXYEZGKKMF2Q2iqMltGU3L5A64fAPs6wX/c"
			"DV5j2dZF3AkXiG6USowSVxzoQQyTAlgQkO0CTmkkEpMSct8sESmH03AvAE4LaM6/iCKmlPeHss1YuIk/h2hL3n"
			"keSBCbhwINzYZh6nLXAzOijh4OZt4lrBLAFrI/SKpjYuBfLMbxLaM22pi5u77zuqY/Qg/oy4ucFS8vBApTMb/n"
			"EjVrKMD3Aqh6biEbcBknBekF/EMvS40cXKbeBRzZRkcAQ0xqNvC3vGba4KoYbzTce0KQYaxrS5B+fzDJdgLoDU"
			"5S4SmMl3kOL85FRf0kVFM2XiEIL3BTB3KIuX3GOAIKOE5gnBegvZlzpTM0QCJdZuR5BAgu7ylg+lyJXZORQlUo"
			"p33fUW0Ql0BOYSuNmYfFjWC5FIL1qM2BkUW0MKm68GGKo8cwnrB//IEnGm3ItidJrmQhVG1rkN6lgQmbA52BEm"
			"ZTYZZGaESQTWgJ2JCmc8gYGGQhpmbMSaQvgfgkF5SgMMwMMMDDDB4yP4ikwo4NrBONrbaNWPgH5PeC/+ATqFHD"
			"wqC1BKo0LeEYBTIjYLIZl4DeC6yiBeghC2mMBQ/VKoScpDUWob3pxkpkZCmRKzOEVOpUtOQkUKB5VkZ6IYbTnm"
			"UgkuYtOjGe8zRiFxG8peXKpfNIFMZLwClTT+EbciR4qlLBJzqmDMMEBdg2EzipCkh0DZTCWRbUFs+R8/En1Bav"
			"iEgSCEMjCR/EJzGRdnOFcMk4y7nL6SSJXF6Vky7CELWOnHVSN4riGIc4qUjmVBBC3loQNzEITl8hMk5DFpmaIJ"
			"CUwpcZpBIzdyjchZBfUarOC3kNDbS/UdFCMAdwdxmXQR7Regv+h+iZhgHucxg7Z9gzhyctqPkk8zijmQOhIlM7"
			"sgxotXeGYfEJbQ/e5FJazdU6ukMjkkJAhYFEJVBbyEL6RkvSGypb7g14byPWfmmNs1eYpPJ1M2UEfA8gfRcUcK"
			"bzZrHJhymu0GmG1yiEsAWsGmX7CweepsiQzdSsUcZ1gM2bhr3lMwfaHnwL0yEusG2gvkL49RmcJm5KqMBulScb"
			"JbzHxiUji5fI7ESqZoSyR11N1CAsIZTL6iY47SJHZcEpjdEvAvwKh0bSiDf8o2rhcZokGvktp4kIES6VKxCQcH"
			"CWo2JuqUiTKmANM8UEU/DezhSm6JjUptGSmRYWBahzDfUaSLwYsuQbsi/AwK9jhRwlM3cVRIYx3RUI1AqkMZuH"
			"HmG7E5bxudE3GplMF2gnBeYhCqMlUhC8Ca5DJaxkqltgadVQlcUYFvBOcOsNp7J37gUzjQEbkCBahknHTlkIW8"
			"hCqMl4DJOWQhcjd9mXI1nEzMcCN3ivctj0wS8547xSR3iCpAMcE5pJ2bEeTcg7altoNqqXq+ZlnqIvIqnI5xnI"
			"YTgpnTc7WDb5KuQJe0JuHC4soV7TNlbewsgYdQNl5jHFByFgDVBOGGo3dod4SE6co25muIb1NkGDluOqXWrjZR"
			"BrQZKppQNU2Esgm4ylMdOc8OjMghiR0uGFSJC5jSSRAw3aU8YKZsQQCBpnxZCLhhAmYYQJml9QSuPFUKULwvBB"
			"+AUqdNS4mOg2W3GNRvvWBFZ4udTFDe09z1S0U1kdyBCBh5BIHZhOCwBTIYnUaknGhOd2E5A0ismRiCwOelikvs"
			"EEgpqL7gZlUKbwiZ1MDBKmNAgO3Ajzi9pnJbspE8cCGNzkIioyo5ew0iWA1+OAPcFuR47xcSkgYRzyBlKZRgZz"
			"FgZCwNF2BBtl56g+svxNxm1TFwgOpynIj9noDGYJy3QEl9JZGtNUZLeCcFcU2GiqRibPMcbBCYPcZ2z9AY9ode"
			"oFyCmsNbmLmRpgOjW53VGdBMgRhIZzqkMMhAs0EqmMkEC2kQpZHGJKAUSTEXGMw1hHYY6W3+YLrghzqgwBHd/K"
			"xIJNqLQkdtxntkcws8nIRk5ZaBLI0kQ+9g2ayJi1AugzgkIbU4RMG8Ab5AXtBbzHnCei7nOPJhlc0PEk+szsHk"
			"LYdznzYSFchto0pM0mkZsCFRzikE0JTkNcNbPUeuRIEfjU0IEWZgSqQ6rgeLuCQTvkDk1cw/vMbwQTuIkNMJ4E"
			"U1LsCe0ObAvRkEnDPsOKEFr0CF+8aX0C9MlUE4LIokQ5fJgk00M5ehkNMZNcUSYqrAhdAK4ZKoNUG9JfEBRvQD"
			"fUM3nciRRzhLMSPQxiJxsK7zNiwiaco82ymXqQpJwzc2TyzjaecScogWox+If14LZvL5m0LVDNy9CFfrGwapxz"
			"GYNqDnbLI570zO/ShpsVuM5EiTCcZLvIYTjYRUpQJzWzuTJVTLDAicmcJXFkuAnKMCwOMQ7MSkNI59Z+mQwIkD"
			"IiUiiuE86CQhFGUyzCFgUYSqNrk5fKSYapm0OwOnNEOOOLAiAquIpCaGBkplEoaZDCmaNBIZNFSkAnLQwRkNJn"
			"LQuhNkEnaAZzOESTicJTM0CQSqeJIEJBeSjmiUlMZ2chEnDfU2TUA7iTlLkU1l97CeHKXBjgXw6QqlpKCNZjTE"
			"mEOeSkSmIGJ8hXA+16VCUzGXipIjGYzScFvLUg/nlkR/a9zgtRfIZhXG7cCQwM1TYgYJgnGZOMmqQpSqetgQmZ"
			"JhlAfx+cKXqY0N7ykwbI2SFeEgtrGSqNaNYZONinCczZnAiwhYEXi8wyTkJP/zlkSdrgbvITM4zKoJwbUXoHIc"
			"FrNGEEmFkEdAS+UGuCTgtYzKo0lvOqu0GILkeRA8ylOct5jPqcYK0qUwBagVwctZDHJyiJLAKVGxX1E18Bku8v"
			"QhL/YF+sowmcswJZBb/2FJBLmGbVzDYyyO69GYQxRpCCWRDE7jx3IHlUOYcG1hi1xCFgHz1LIYVRknMZiMM/O5"
			"CFUa/G46sTYUaSkgQlUaTXESizjd8nB3NiggkEvx+0G/4AUyEU2gqkQQ4zrWEawjWCcGqM0ZAnIYUwTgnIvuXp"
			"I3s0zPFIQP5grULfAZrZAnNiPWGIdfDwG61gMlqL+AhlceSEEILcT3FCJ2m8eg8cglYL/PoaBkDCmQhONz31IQ"
			"phhzAuYLv7ClSXzYF6GClQ93WM0tREjD0B7HNnm2HE+YKafKH17yELIZJwXQC/7CNw3yEfWKpfkHUT5gW8McAt"
			"+ctzAuLhk43yq4v2iEphs1kfr9vy1LXnu3XOUQZXFkIs5ZgdqjqAVSyDRveDYHBYSRuEfuGqNaN42vouGovAZL"
			"rCHVxCE4JzNBtQyqQwshmTmiEhCVTcgQSqDby9kEoyBsAp1jYzuBvOD5Bwc4I6EFDYYKpTahOCmEXFJg+AVuBt"
			"pF/Bagb7jjq6RMHzDBW49eoGPOFxgZArGja3nzXDJXBVzGQSRJzFhAywIZ2qNJOHBwUyiBfKWgEvMUhDOHd/eU"
			"yZXzLRiGUwpcFJkdATUwW03UMBE6mOya2XSMSUNpDhFQm41NNZDiqW5go3nD0uNtVSGNlxCIwIrj5tR7ucbvDI"
			"ntyUgWRKX667TdEwaYLI3dCDu01JSUy/olcbNmBjlMNYzhJxtNvyFpIX7riHpJzqhEwu39BjwQKp0rAygf4kn0"
			"RP0kRGlQlU8qCR3BjQP30fBmcp9B83p6ykj1L5BsFMZLrI+P77bw9PMC2lkhDqhA0xmTgnD4zPL1mmwNB6AjaD"
			"udzhQILOMemDXULTMWK1KVuBbRqqpf9KM1KpCPBwngF7l/EQKZegQtY2uWBa8OedwWqQizhnyPZkaAwwQF6CmY"
			"a5TDVvBYAqkXDOUfJNkc9yRqqhBUbeNpXUFN5ogQbzk6caJTDBzNBfiFflGhVLZMwOugHwItkqjRDmxAkIG5EM"
			"RrGhnKKQsgipaQhVBnGZcxRDtzHlkmlIFIGZJkqm5kMiQwzjJeAScxgQSlcMy1DJXFGQTVRktZRkJwTlkhmcJa"
			"jSQSMYUtZRmlL5Ak5RIVQWs52BMhCQymQwtoRcWkJl4FGEpgv/aMl8CEK4tJA3yl6BkO14UYWBxkxAzQJksh2g"
			"GyGZnIYVxmzAwLWDOEt4NMajf/MFMG9ISuBrjFAga4G/KC/4yEKoS3lpsHO4zvMH6zcjO16GDCYzWcpQt0zC2o"
			"Z1UZ1gGzmDbqGbD6iLC8wJwTmzETMJpNM8bSBiQwMDCFKZaYbr6mN29XeI0qGEzhqDHFAzDdBR8hdBjTEM7M5Z"
			"FBnDSoLILtR3JCymDawV55VMs1UWmHhrMZyNBYci+puJScJecjmF4DSTjJegxQISmQjpmCcJVOGqQLMNA1aykj"
			"zyyDc4a9ZovOkK/m0mEv/0GblNwYzMa4iCnnKdgKoRUxwBOL5CjciX/yBvkBawVwR3hZw3/jL6+LsMeUyLE3KZ"
			"a1wc6lcbQw1B9IhK4NUy3TA10wj7iiQVUBJyENcOqBJnMUSYJOYsgQ36AbmNID+UHlDgnLJkN8AVxRgaoNME7X"
			"AqhnUpeFXCMgz+AO5mw6KNDhn0HqhgyF1DjcDu8cvFZuv2OfvykF/7pNnGOwwMdZnu1L4F2q7CWOEgYNzyd27q"
			"YSlGqApFJSyqpnjtAgYWQ1pDFYk5z4mbPSzSNSiJl8DlGuKWqM51IbG+psYpSLYXuEOfkrQlIaQs3Li+bpBMva"
			"V7EIk5arEKpCZpnG6WjEi+bcBVOfCrBW+RInZtp+219Cg1mcLIGpIkhrSlMiUxFMaORIk8xVNjYFCAmnMUDWvz"
			"c4a6Dna/GLCmf17qVYUEVciUIbMTSGiwm3VDAHBO8WcbBajSjhdBW1TqvRffZWTGMmamRax8LmcNespeTzczoX"
			"lwc9Qyc0YEIQ6cshCcK6yGGctJMlM6kIQhCEjxuMk5ZIZnGS9BCFMxQiQnIYTjtMhCyLIFLeQhOQmUxpKYyThH"
			"QC3hGsFtKYF5kmxlyNNovGi8fWQtz1NEpC+gNtxntlQ4kUqaQ0XykNEzR4GCY3YUsiVQt9JjIEiHLSKl0yiQnK"
			"Z5NnM4pSBkmUhXDSWsMcAy2niQYyyBZAiDqzb6TYyEiRVOZ2sTJw1S2QJXFNBmqOnC9y0edGGotQoSuCtRmuct"
			"qgSqYsCC/WdNKMya9osFhnG8dzh2dAPyCMAucLXF+wkjNwaZuioOEkscAbAtlqUJzFEh/pZyixUsAl8AWsK1IY"
			"b+8FU3aIYy/cMSctCUK4pLEo5wcdOOhDeAJzRDmYXqpCOhzFwYtg5DJOHRrDO4swpNUM+YsgkqmKQZC2l+pBev"
			"pNEhAj+GposAWQW7zRiQWqScoxubeW3m4Jqg5H/SfXk9gr39lDt16pCRDHmJym+TuHBy3rgxZyLyVx7L8DUTRP"
			"y3yvMAxHaV7nxVM75wXlMROlZo1b9ERM8igY61I07UPBLFVTkUKOc8i8eTCLDNUtCGWBRnM3GlEzjIQTMyKFXO"
			"NEKR5JSViHNzGZcOoibmyJEGFxIdfrdSpSJYUGThjkSmWGJ0pIyHcqFXBbzHxmNQb0g/nBdoRUF2FsSJvMxUMN"
			"JOeNCBkGJQLDA7mzbdDg0UpUbPJwr6DxTgMDZqSqRaSCfoBfKGWQyvwDnwBtQTqCqRAqniZhrppCQhCxlcNiph"
			"r1GMZoEnOCQhBl3CmGDllxTZOQxvdEOjNxtNkzZLmErDm3AG2lICXIN7hKpsmahG3oGqXpAnc3MIYGBVIZNvNz"
			"IEDMmuMWCQLoBONJtRaQM1xSQN/YUYGdDf4FkMKp40GAd3BjdjxJ7hGmoFUxkVxlwUwfWGdQyc+eQXBfeVprIi"
			"aasiUlfUJyuM1bIQQ4KZotWtFDFqnkusJMJhCQwzHlcvsaA3MDbxlVy+7sBLkWp4gb5S+QaxOXoQzTL2BRJyiE"
			"+Q01rKMwu0pIHqCmEtYX/mG4r0jcVrL2ECcshC8wSwLWCg6mUuKu5pJFh5EuR02FZgYQM0VImWcpIkphxcZtcy"
			"9FSiwI0llMze24VSrmxF4mBbHBTMUj9Byj4G7QL+FzNIzczWaFxFzDJdBi2QxJXFJAnBOCyGSchC3kJSqYoQhp"
			"on2g1wbLi+bBpzVIvvz+4ZK4hbW1l7INSyGZZDLP+wGmWggaZxyBGBegS9Jii9sYx7ynIF1kbT8HKTBTIQrgTg"
			"u8FUsgS//JCFkUQLmKISmUQlMdOCmCcogUxkvQC/8o3LsuCdTZCoDNwTfcUoCuL0gSmZoSEL2jpx0DpwTmKzzW"
			"lKVKS3mu4z2lCw0nOMCFEhkRKppAQJC2gzlrUmaYGj6TDIlu+UPfUz6w3BhP/SUQKo1L3IwGqWzDizlGFSppj1"
			"aFgpFRrJw+/eDOHS5prD2MauGeoiwt4ejAogz3hEzYvG6EHN1e8jNJwwc0ZsRjEb0kYZ81S1QjxuW57i2/AKXB"
			"j8C/5Ee07OstqKmqozK4Pr3hG8pIKTTCcFgH0/lITX+gsxtMNYXYAv+cx8A5HlUzF0ZB2uWa8JecbFtQ3ufWWx"
			"KG//SU55FsA5OWdDScGczSCR0LwDe4yt2mz6jyEg8hvcvYPeNUFUpdiKYLIE5bh0BtcG1ENDZBPAb2KYy5usPH"
			"MFM6ZFjsnuCDYC2h27ykya1FLePBawpUpt51r5BLUbJeDP+YJfkVxSCTeA2C1jMsgb5CiQnIQvgbmUhBEDfuGh"
			"OXwIZdBSA2ZEYmfnKZplUzaoyDC4ZPqGku8vYqSo4yXoL2PMHQ4WqCcvQIp7wbkRwF8hu+QEJMKWspQJuQjc5b"
			"1MatdSjbC2QNUxZahCqCcvYQJxk20OdwWRm+rMcot4TcvxEFHGk//SCqNsUykBk55bwl4wsFeCD+rmzc4yafSN"
			"OY48sC3AR+XAxwpL01LTI1E3KOC/+JsRBffIvfwBtpDC7AbwBZF6GYbILqnlsDsIi9uYYUSmnCPzF9wZJpnuUw"
			"k1tA4byes0EMHf5ZONcqmakQCk4UqCmX0wwFKZsnHSthRVs5aZWSmX0UpkObnRA6vYlMaimdTlKKTSBQbbUc6Y"
			"UwxJUSLCcE5n9aK0E209UNcqf2kSgpQEj5CbVPZASBgdIEO0GZFQr6AiYJwbmBnCesG+oMKlqFJTqR5+l8Cjii"
			"ZbQRj0DZ2qUuhWctjohbwX2nvIRnrPZ0BuZaw/YZmsfwkHAUzYiQwbDm3gzmLAhp4HPUsEISBDqgJZAsATmKEg"
			"UwTkIX0grgTl6QIdOHY5CF+MhMv6SP98Ux0wsiyEJwXWDfnBOC/74S/nOdhAwl6bxmcFMFkWRENyLfKErw";
		return p_Call_Decompress(p_s_base64, 54510, 32181, 18196);
	}

protected:
	/**
	 *	@copydoc CFTHDecompressCode_4d0633d3::p_Decode_BWT_MTF_RLE_Huff_Base64
	 */
	static inline char *p_Call_Decompress(const char *p_s_base64,
		int n_data_size, int n_huff_stage_size, uint32_t n_bwt_primary_index);
};

#ifndef __FILE_TO_HEADER_DECOMPRESS_4D0633D3_INCLUDED
#define __FILE_TO_HEADER_DECOMPRESS_4D0633D3_INCLUDED

/**
 *	@brief decompression routine implementation
 *	@note While this allows all the compressed files to share decompressor implementation,
 *		it restricts all the files to be included in a single .cpp file, otherwise linking
 *		fails because of duplicate symbols (remove body of decompress function in such case).
 */
class CFTHDecompressCode_4d0633d3 {
public:
	/**
	 *	@brief decompression routine
	 *
	 *	@param[in] p_s_base64 is null-terminated string containing BASE-64 encoded compressed data
	 *	@param[in] n_data_size is size of the decompressed data
	 *	@param[in] n_huff_stage_size is size of the compressed data before Huffman encoding
	 *	@param[in] n_bwt_primary_index is primary index for the BWT algorithm
	 *
	 *	@return Returns pointer to the decompressed data on success, 0 on failure.
	 *
	 *	@note The data (although may be binary), is additionally null terminated.
	 */
	static uint8_t *p_Decode_BWT_MTF_RLE_Huff_Base64(const char *p_s_base64,
		int n_data_size, int n_huff_stage_size, uint32_t n_bwt_primary_index)
	{
		int n_base64_length = strlen(p_s_base64);
		int n_base64_out_size = (n_base64_length / 4) * 3 +
			max(int(n_base64_length % 4) - 1, 0);

		int n_prehuff_size = max(n_base64_out_size, n_data_size);
		int n_temp_buffer_size = max(n_prehuff_size + n_huff_stage_size,
			int(n_data_size * (1 + sizeof(uint32_t))));
		uint8_t *p_temp_buffer;
		if(!(p_temp_buffer = new(std::nothrow) uint8_t[n_temp_buffer_size]))
			return 0;;
		uint8_t *p_data;
		if(!(p_data = new(std::nothrow) uint8_t[n_data_size + 1])) {
			delete[] p_temp_buffer;
			return 0;
		}
		p_data[n_data_size] = 0; // !!

		{
			int p_ic_tab[256];
			for(int i = 0; i < 256; ++ i) {
				p_ic_tab[i] = (isalpha(i))? (i | 32) - 'a' + ((i < 'a')? 0 : 26) :
					(isdigit(i))? i - '0' + 52 : (i == '+')? 62 : 63;
			}
			uint8_t *p_src = (uint8_t*)p_s_base64, *p_dst = p_temp_buffer;
			for(const uint8_t *p_end = p_src + n_base64_length - 3; p_src < p_end; p_src += 4, p_dst += 3) {
				uint8_t p_tmp[] = {p_ic_tab[p_src[1]], p_ic_tab[p_src[2]]};
				*p_dst = (p_ic_tab[p_src[0]] << 2) | (p_tmp[0] >> 4);
				p_dst[1] = (p_tmp[0] << 4) | (p_tmp[1] >> 2);
				p_dst[2] = (p_tmp[1] << 6) | p_ic_tab[p_src[3]];
			}
			if(n_base64_length % 4 == 3) {
				uint8_t n_tmp = p_ic_tab[p_src[1]];
				*p_dst = (p_ic_tab[p_src[0]] << 2) | (n_tmp >> 4);
				p_dst[1] = (n_tmp << 4) | ((p_ic_tab[p_src[2]] >> 2) & 0xf); // fixed byte order
			} else if(n_base64_length % 4 == 2)
				*p_dst = (p_ic_tab[p_src[0]] << 2) | (p_ic_tab[p_src[1]] >> 4);
		}
		{
			const uint8_t *p_huff_src = p_temp_buffer, *p_huff_end = p_huff_src + n_base64_out_size;
			_ASSERTE(p_huff_src + 16 * sizeof(int32_t) <= p_huff_end);
			const int32_t *p_code_num = (const int32_t*)p_huff_src; p_huff_src += 16 * sizeof(int32_t);
			int p_min_code[16], p_max_code[16], p_table_off[16], n_code_num = 0;
			for(int i = 0, n_cw = 0; i < 16; ++ i, n_cw <<= 1) {
				p_min_code[i] = n_cw;
				p_max_code[i] = (n_cw += p_code_num[i]);
				p_table_off[i] = n_code_num - p_min_code[i];
				n_code_num += p_code_num[i];
			}
			_ASSERTE(p_huff_src + n_code_num <= p_huff_end);
			const uint8_t *p_symbol = p_huff_src; p_huff_src += n_code_num;
			uint8_t *p_huff_dest = p_temp_buffer + n_prehuff_size;
			for(int n_byte = 0, n_bit_num = 0, n_counter = n_huff_stage_size; n_counter --;) {
				for(int i = 0, n_code = 0;; ++ i) {
					_ASSERTE(i < 16);
					if(!(n_bit_num --)) {
						_ASSERTE(p_huff_src < p_huff_end);
						n_byte = *p_huff_src ++;
						n_bit_num = 7;
					}
					n_code = (n_code << 1) | ((n_byte >> 7) & 1);
					n_byte <<= 1;
					if(n_code >= p_min_code[i] && n_code < p_max_code[i]) {
						*p_huff_dest ++ = p_symbol[n_code + p_table_off[i]];
						break;
					}
				}
			}
		}
		{
			const uint8_t *p_rle_src = p_temp_buffer + n_prehuff_size,
				*p_src_end = p_rle_src + n_huff_stage_size;
			for(uint8_t *p_rle_dest = p_temp_buffer; p_rle_src != p_src_end;) {
				uint8_t n_code = *p_rle_src ++;
				bool b_compressed = n_code & 1;
				int n_run_length = (n_code >> 1) + 1;
				_ASSERTE(p_rle_src + ((b_compressed)? 1 : n_run_length) <= p_src_end);
				while(n_run_length --)
					*p_rle_dest ++ = (b_compressed)? *p_rle_src : *p_rle_src ++;
				if(b_compressed)
					++ p_rle_src;
			}
		}
		{
			uint8_t p_buckets[256];
			for(int i = 0; i < 256; ++ i)
				p_buckets[i] = (uint8_t)i;
			const uint8_t *p_src = p_temp_buffer, *p_end = p_temp_buffer + n_data_size;
			for(; p_src != p_end; ++ p_src) {
				uint8_t *p_dest = (uint8_t*)p_src, n_index = *p_src;
				*p_dest = p_buckets[n_index];
				if(n_index) {
					for(int i = n_index; i > 0; -- i)
						p_buckets[i] = p_buckets[i - 1];
					p_buckets[0] = *p_dest;
				}
			}
		}
		{
			uint32_t p_buckets[256] = {0}, n_sum = 0;
			uint32_t *p_index_list = (uint32_t*)(p_temp_buffer + n_data_size);
			const uint8_t *p_src = p_temp_buffer, *p_end = p_temp_buffer + n_data_size;
			for(uint32_t *p_dest_idx = p_index_list; p_src != p_end; ++ p_src, ++ p_dest_idx)
				*p_dest_idx = (++ p_buckets[*p_src]) - 1;
 			for(int i = 0; i < 256; ++ i) {
				uint32_t n_value = p_buckets[i];
				p_buckets[i] = n_sum;
				n_sum += n_value;
			}
			uint8_t *p_dest = p_data + n_data_size - 1, *p_begin_1 = p_data - 1;
			for(uint32_t i = n_bwt_primary_index; p_dest != p_begin_1; -- p_dest,
			   i = p_index_list[i] + p_buckets[p_temp_buffer[i]])
				*p_dest = p_temp_buffer[i];
		}

		delete[] p_temp_buffer;
		
		return p_data;
	}
};

#endif // __FILE_TO_HEADER_DECOMPRESS_4D0633D3_INCLUDED

inline char *CScriptsFile::p_Call_Decompress(const char *p_s_base64,
	int n_data_size, int n_huff_stage_size, uint32_t n_bwt_primary_index)
{
	return (char*)CFTHDecompressCode_4d0633d3::p_Decode_BWT_MTF_RLE_Huff_Base64(p_s_base64,
		n_data_size, n_huff_stage_size, n_bwt_primary_index);
}
// a dummy function that calls the decompressor, which is now declared
// (allows us to keep it at the end of the file)

#endif // __DATA_SCRIPTS_JS_INCLUDED
